﻿@model Abc.Northwind.MvcWebUI.Models.ProductListViewModel
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
    Layout = "~/Views/_AdminLayout.cshtml";
}

<h2>Product List</h2>

<a class="btn btn-sm btn-success" asp-controller="Admin" asp-action="Add" >Add a new product</a>
<div>
    <table class="table table-responsive">
        <tr>
            <td>Product Name</td>
            <td>Unit Price</td>
            <td>Unit In Stock</td>
            <td></td>
            <td></td>
        </tr>
        @foreach (var product in Model.Products)
        {
            <tr>
                <td>@product.ProductName</td>
                <td>@product.UnitPrice</td>
                <td>@product.UnitsInStock</td>
                <td><a class="btn btn-sm btn-info" asp-controller="Admin" asp-action="Update" asp-route-productId="@product.ProductId">Update</a></td>
                <td><a class="btn btn-sm btn-danger" asp-controller="Admin" asp-action="Delete" asp-route-productId="@product.ProductId">Delete</a></td>
            </tr>
        }
    </table>
</div>